Subject: Re: bug#31790: 27.0; Mention Isearch key bindings of Isedarch variables that are bound by default in Isearch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jun 2018 18:17:35 +0300

> Date: Sat, 16 Jun 2018 06:19:55 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Those are variables, not defcustoms.  Why is it important to go to
> > such lengths in their doc strings?
> 
> Go to such lengths?  Really?
> 
> See https://emacs.stackexchange.com/q/41960/105.

I don't see how that is evidence to anything.

> Sure, if you consult the doc of `isearch-forward(-regexp)'
> or its keys, and you read it all, then when you get to line
> 43 (out of 82!) you'll find the info you're looking for wrt
> lax-vs-strict whitespace matching:

Those are powerful and flexible commands, it's no wonder their
documentation is long.  (And 82 lines is not too long in my book.)

> But if you don't do that then it is not so easy to pick
> up the info about that key binding.

And having that in a doc string of a non-user variable will make it
easier to pick up?

> Yes, we don't let those vars be options because of the
> Emacs policy that code should not modify option values
> (even the code for built-in toggles!).
> 
> It's an unfortunate policy, IMHO, but it is what it is.
> 
> It just makes sense to point out, in the doc for these
> two variables that, by default, `M-s SPC' toggles them
> while searching.

Like I said, I disagree.

Maybe we should provide defcustoms that would initialize the values of
these variables.  Then it would make sense to tell what you want in
those defcustoms' doc strings, like we do with search-invisible, for
example.